Debian Bug report logs - #589609
debian-policy: No substvars for dpkg-source and dpkg-genchanges.

version graph

Package: debian-policy; Maintainer for debian-policy is Debian Policy List <debian-policy@lists.debian.org>; Source for debian-policy is src:debian-policy.

Reported by: Charles Plessy <plessy@debian.org>

Date: Mon, 19 Jul 2010 08:03:02 UTC

Severity: normal

Found in version debian-policy/3.9.0.0

Fixed in version debian-policy/3.9.1.0

Done: Russ Allbery <rra@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, plessy@debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#589609; Package debian-policy. (Mon, 19 Jul 2010 08:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
New Bug report received and forwarded. Copy sent to plessy@debian.org, Debian Policy List <debian-policy@lists.debian.org>. (Mon, 19 Jul 2010 08:03:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: debian-policy: No substvars for dpkg-source and dpkg-genchanges.
Date: Mon, 19 Jul 2010 17:03:21 +0900
Package: debian-policy
Version: 3.9.0.0
Severity: normal
Tags: patch

Dear all,

as promised one year and a half ago
(http://lists.debian.org/20090201011604.GF13843%40kunpuu.plessy.org), here is a
patch that removes the mention of the use of substvars for dpkg-source and
dpkg-genchanges.


t a/policy.sgml b/policy.sgml
index 0b3c1a1..597100e 100644
--- a/policy.sgml
+++ b/policy.sgml
@@ -2190,10 +2190,9 @@ endif
 	<heading>Variable substitutions: <file>debian/substvars</file></heading>
 
 	<p>
-	  When <prgn>dpkg-gencontrol</prgn>,
-	  <prgn>dpkg-genchanges</prgn> and <prgn>dpkg-source</prgn>
-	  generate control files they perform variable substitutions
-	  on their output just before writing it.  Variable
+	  When <prgn>dpkg-gencontrol</prgn> generates <qref id="binarycontrolfiles">
+	  binary control files</qref> (<file>DEBIAN/control</file>) it performs
+	  variable substitutions on its output just before writing it.  Variable
 	  substitutions have the form <tt>${<var>variable</var>}</tt>.
 	  The optional file <file>debian/substvars</file> contains
 	  variable substitutions to be used; variables can also be set

Have a nice day,

-- 
Charles




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#589609; Package debian-policy. (Mon, 19 Jul 2010 08:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Emilio Pozuelo Monfort <pochu@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Mon, 19 Jul 2010 08:21:04 GMT) Full text and rfc822 format available.

Message #10 received at 589609@bugs.debian.org (full text, mbox):

From: Emilio Pozuelo Monfort <pochu@debian.org>
To: Charles Plessy <plessy@debian.org>, 589609@bugs.debian.org
Subject: Re: Bug#589609: debian-policy: No substvars for dpkg-source and dpkg-genchanges.
Date: Mon, 19 Jul 2010 10:18:49 +0200
Hi,

On 19/07/10 10:03, Charles Plessy wrote:
> Package: debian-policy
> Version: 3.9.0.0
> Severity: normal
> Tags: patch
> 
> Dear all,
> 
> as promised one year and a half ago
> (http://lists.debian.org/20090201011604.GF13843%40kunpuu.plessy.org), here is a
> patch that removes the mention of the use of substvars for dpkg-source and
> dpkg-genchanges.
> 
> 
> t a/policy.sgml b/policy.sgml
> index 0b3c1a1..597100e 100644
> --- a/policy.sgml
> +++ b/policy.sgml
> @@ -2190,10 +2190,9 @@ endif
>  	<heading>Variable substitutions: <file>debian/substvars</file></heading>
>  
>  	<p>
> -	  When <prgn>dpkg-gencontrol</prgn>,
> -	  <prgn>dpkg-genchanges</prgn> and <prgn>dpkg-source</prgn>
> -	  generate control files they perform variable substitutions
> -	  on their output just before writing it.  Variable
> +	  When <prgn>dpkg-gencontrol</prgn> generates <qref id="binarycontrolfiles">
> +	  binary control files</qref> (<file>DEBIAN/control</file>) it performs
> +	  variable substitutions on its output just before writing it.  Variable
>  	  substitutions have the form <tt>${<var>variable</var>}</tt>.
>  	  The optional file <file>debian/substvars</file> contains
>  	  variable substitutions to be used; variables can also be set
> 
> Have a nice day,
> 

Seconded.

Emilio




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#589609; Package debian-policy. (Mon, 19 Jul 2010 11:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guillem Jover <guillem@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Mon, 19 Jul 2010 11:18:04 GMT) Full text and rfc822 format available.

Message #15 received at 589609@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: Charles Plessy <plessy@debian.org>, 589609@bugs.debian.org
Subject: Re: Bug#589609: debian-policy: No substvars for dpkg-source and dpkg-genchanges.
Date: Mon, 19 Jul 2010 13:14:54 +0200
[Message part 1 (text/plain, inline)]
Hi!

On Mon, 2010-07-19 at 17:03:21 +0900, Charles Plessy wrote:
> t a/policy.sgml b/policy.sgml
> index 0b3c1a1..597100e 100644
> --- a/policy.sgml
> +++ b/policy.sgml
> @@ -2190,10 +2190,9 @@ endif
>  	<heading>Variable substitutions: <file>debian/substvars</file></heading>
>  
>  	<p>
> -	  When <prgn>dpkg-gencontrol</prgn>,
> -	  <prgn>dpkg-genchanges</prgn> and <prgn>dpkg-source</prgn>
> -	  generate control files they perform variable substitutions
> -	  on their output just before writing it.  Variable
> +	  When <prgn>dpkg-gencontrol</prgn> generates <qref id="binarycontrolfiles">
> +	  binary control files</qref> (<file>DEBIAN/control</file>) it performs
> +	  variable substitutions on its output just before writing it.  Variable
>  	  substitutions have the form <tt>${<var>variable</var>}</tt>.
>  	  The optional file <file>debian/substvars</file> contains
>  	  variable substitutions to be used; variables can also be set

Seconded.

regards,
guillem
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#589609; Package debian-policy. (Mon, 19 Jul 2010 17:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Mon, 19 Jul 2010 17:33:05 GMT) Full text and rfc822 format available.

Message #20 received at 589609@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: Charles Plessy <plessy@debian.org>
Cc: 589609@bugs.debian.org
Subject: Re: Bug#589609: debian-policy: No substvars for dpkg-source and dpkg-genchanges.
Date: Mon, 19 Jul 2010 10:32:06 -0700
Charles Plessy <plessy@debian.org> writes:

> as promised one year and a half ago
> (http://lists.debian.org/20090201011604.GF13843%40kunpuu.plessy.org),
> here is a patch that removes the mention of the use of substvars for
> dpkg-source and dpkg-genchanges.

Thanks, this has been merged for the next release.  (I went ahead and did
that right away given the two seconds since this brings Policy in line
with reality, and it was previously discussed in the thread you reference
and seemed fairly uncontroversial.)

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>




Added tag(s) pending; removed tag(s) patch. Request was from Russ Allbery <rra@debian.org> to control@bugs.debian.org. (Mon, 19 Jul 2010 17:45:06 GMT) Full text and rfc822 format available.

Reply sent to Russ Allbery <rra@debian.org>:
You have taken responsibility. (Mon, 26 Jul 2010 05:07:14 GMT) Full text and rfc822 format available.

Notification sent to Charles Plessy <plessy@debian.org>:
Bug acknowledged by developer. (Mon, 26 Jul 2010 05:07:14 GMT) Full text and rfc822 format available.

Message #27 received at 589609-close@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: 589609-close@bugs.debian.org
Subject: Bug#589609: fixed in debian-policy 3.9.1.0
Date: Mon, 26 Jul 2010 05:02:07 +0000
Source: debian-policy
Source-Version: 3.9.1.0

We believe that the bug you reported is fixed in the latest version of
debian-policy, which is due to be installed in the Debian FTP archive:

debian-policy_3.9.1.0.dsc
  to main/d/debian-policy/debian-policy_3.9.1.0.dsc
debian-policy_3.9.1.0.tar.gz
  to main/d/debian-policy/debian-policy_3.9.1.0.tar.gz
debian-policy_3.9.1.0_all.deb
  to main/d/debian-policy/debian-policy_3.9.1.0_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 589609@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Russ Allbery <rra@debian.org> (supplier of updated debian-policy package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 25 Jul 2010 19:38:21 -0700
Source: debian-policy
Binary: debian-policy
Architecture: source all
Version: 3.9.1.0
Distribution: unstable
Urgency: low
Maintainer: Debian Policy List <debian-policy@lists.debian.org>
Changed-By: Russ Allbery <rra@debian.org>
Description: 
 debian-policy - Debian Policy Manual and related documents
Closes: 104373 175202 184064 186102 218897 232448 400322 402721 436105 445203 475101 477240 509932 509933 555977 561413 588750 589362 589605 589609
Changes: 
 debian-policy (3.9.1.0) unstable; urgency=low
 .
   * Policy: Include GPL version 1 in common-licenses
     Wording: Russ Allbery <rra@debian.org>
     Seconded: gregor herrmann <gregoa@debian.org>
     Seconded: Damyan Ivanov <dmn@debian.org>
     Seconded: Giacomo A. Catenazzi <cate@debian.org>
     Closes: #436105
   * Policy: Libtool *.la files should generally not be installed
     Wording: Russ Allbery <rra@debian.org>
     Seconded: Julien Cristau <jcristau@debian.org>
     Seconded: Cyril Brulebois <kibi@debian.org>
     Closes: #561413
   * Policy: Require dpkg-divert --package when adding/removing diversions
     Wording: Russ Allbery <rra@debian.org>
     Seconded: Raphaël Hertzog <hertzog@debian.org>
     Seconded: Raphael Geissert <geissert@debian.org>
     Closes: #218897
   * Policy: Remove encouragement to create shlibs.local
     Wording: Russ Allbery <rra@debian.org>
     Seconded: Julien Cristau <jcristau@debian.org>
     Seconded: Jakub Wilk <jwilk@debian.org>
     Seconded: Cyril Brulebois <kibi@debian.org>
   * Policy: Document alternate SONAME format with version before .so
     Wording: Russ Allbery <rra@debian.org>
     Seconded: Julien Cristau <jcristau@debian.org>
     Seconded: Raphaël Hertzog <hertzog@debian.org>
     Closes: #509932
   * Policy: Architecture wildcards also allowed in binary relationships
     Wording: Russ Allbery <rra@debian.org>
     Seconded: Guillem Jover <guillem@debian.org>
     Seconded: Raphaël Hertzog <hertzog@debian.org>
     Closes: #400322
   * Policy: Say Conflicts should not be used unless necessary
     Wording: Russ Allbery <rra@debian.org>
     Seconded: Guillem Jover <guillem@debian.org>
     Seconded: Jakub Wilk <jwilk@debian.org>
     Closes: #402721
   * Policy: Remove obsolete _REENTRANT, require thread-safe libraries
     Wording: Russ Allbery <rra@debian.org>
     Seconded: Kurt Roeckx <kurt@roeckx.be>
     Seconded: Giacomo A. Catenazzi <cate@debian.org>
     Closes: #475101
   * Policy: Allow subdirectories of /usr/lib/cgi-bin to be used
     Wording: Russ Allbery <rra@debian.org>
     Seconded: Andrew McMillan <andrew@morphoss.com>
     Seconded: Charles Plessy <plessy@debian.org>
     Closes: #104373
   * Policy: More specific requirements around date-based versions
     Wording: Russ Allbery <rra@debian.org>
     Seconded: Julien Cristau <jcristau@debian.org>
     Seconded: Cyril Brulebois <kibi@debian.org>
     Seconded: Steve Langasek <vorlon@debian.org>
     Closes: #186102
   * Policy: Require slave alternatives for manual pages
     Wording: Russ Allbery <rra@debian.org>
     Seconded: Guillem Jover <guillem@debian.org>
     Seconded: Jakub Wilk <jwilk@debian.org>
     Seconded: Emilio Pozuelo Monfort <pochu@debian.org>
     Closes: #184064
   * Policy: More explicit requirements around library SONAMEs
     Wording: Russ Allbery <rra@debian.org>
     Seconded: Raphaël Hertzog <hertzog@debian.org>
     Seconded: Emilio Pozuelo Monfort <pochu27@gmail.com>
     Closes: #509933
   * Policy: Only dpkg-gencontrol supports variable substitutions
     Wording: Charles Plessy <plessy@debian.org>
     Seconded: Emilio Pozuelo Monfort <pochu@debian.org>
     Seconded: Guillem Jover <guillem@debian.org>
     Closes: #589609
   * Policy: Ada Library Information files must be read-only
     Wording: Russ Allbery <rra@debian.org>
     Seconded: Emilio Pozuelo Monfort <pochu@debian.org>
     Seconded: Ludovic Brenta <ludovic@ludovic-brenta.org>
     Closes: #232448
   * Policy: Recommend /etc/logrotate.d/package for logrotate rules
     Wording: Russ Allbery <rra@debian.org>
     Seconded: Guillem Jover <guillem@debian.org>
     Seconded: Thijs Kinkhorst <thijs@debian.org>
     Closes: #445203
   * Policy: Allow /bin/sh scripts to rely on XSI for kill and trap
     Wording: Russ Allbery <rra@debian.org>
     Seconded: Giacomo A. Catenazzi <cate@debian.org>
     Seconded: Raphael Geissert <geissert@debian.org>
     Closes: #477240
   * Policy: Ownership and permissions for control information files
     Wording: Russ Allbery <rra@debian.org>
     Seconded: Emilio Pozuelo Monfort <pochu@debian.org>
     Seconded: Julien Cristau <jcristau@debian.org>
     Closes: #555977
   * Set the version of the Perl Policy to match the version of the Policy
     package.
   * Explain the Perl module package naming policy more explicitly and
     provide some examples.  (Closes: #175202)
   * Revise the footnote discussing shlibs creation to not talk about the
     switch to objdump as if it were a new innovation and to explicitly
     mention the NEEDED attribute as the source of dependency information.
   * Introduce "control information file" to refer to the contents of the
     Debian package control.tar.gz, following the dpkg documentation.  Use
     that terminology consistently, and change possibly confusing
     references to fields in control files to use "control field"
     uniformly.
   * Document that the first line of the changelog entry is conventionally
     an explanation for the upload if the uploader is not the regular
     maintainer.  Patch from Charles Plessy.  (Closes: #589605)
   * Fix typo in upgrading-checklist.  (Closes: #588750)
   * Fix formatting error in footnote to 7.7.  (Closes: #589362)
   * Remove ancient Conflicts and Replaces.
Checksums-Sha1: 
 1dc24a34db96f2c812fc560281cd3460256f72e7 1204 debian-policy_3.9.1.0.dsc
 af1c2192f6fc3c241618b48688f4d714aa630da2 690539 debian-policy_3.9.1.0.tar.gz
 1a94fda2ee6ad584efc2dab420178b993b028545 1852358 debian-policy_3.9.1.0_all.deb
Checksums-Sha256: 
 e81bc2f72659dd75a94ee4b6ba3dfe26ddf09811ece2e00cf2ebf9372ca68b98 1204 debian-policy_3.9.1.0.dsc
 7322f07e9bcd80dc3379f2545e7be7b93a2dc48b30b490b6277082024d98e847 690539 debian-policy_3.9.1.0.tar.gz
 facfbcbc037f7fb768cb9a42f72da3bff750922b8828fce633cc400012a71744 1852358 debian-policy_3.9.1.0_all.deb
Files: 
 10aae2bd3a3c14fb6853f26b9b97de55 1204 doc optional debian-policy_3.9.1.0.dsc
 3a8ac906da51c3574c6e92aa6c12af8e 690539 doc optional debian-policy_3.9.1.0.tar.gz
 182e7d0f26b29101150014c9bd2fa8eb 1852358 doc optional debian-policy_3.9.1.0_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkxNE9EACgkQ+YXjQAr8dHZzsACg2tBvXhJKJNRtTDg2XwJdG1es
RzcAoI2YCA0+mnxQa4QapbxlH44szEML
=8Iyg
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 02 Sep 2010 07:30:58 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 10:50:31 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.